> ## Documentation Index
> Fetch the complete documentation index at: https://docs-vnext.kiflo.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Give a certification to a partner team member

> Associate a certification to a partner team member



## OpenAPI

````yaml /openapi.json post /v3/partner-contact-certifications
openapi: 3.0.1
info:
  title: Kiflo Public API v3
  description: "The Kiflo API allows you to have control over your integration and create the best experiences.\r\n\r\n***\r\n\r\n## Format\r\n\r\nThe API follows the REST standard using JSON to format requests and responses.  \r\nDecimals are formatted using invariant culture, ie: using \".\" (dot) as a decimal sperator and no thousands separator.  \r\nDates are formatted using ISO standards, in UTC format, including the timezone. Ex:  2015-03-25T12:00:00Z\r\n\r\n***\r\n\r\n## Security\r\n\r\nThe API is secured using an API token.\r\n\r\n**How to generate an API Access Token**  \r\n 1. Open your [account settings page](https://app.kiflo.com/account/integration)\r\n 2. Go to the \"API Access Token\" section\r\n 3. Click \"Add\" button\r\n 4. Choose a name that will be used to identify the token and click \"Add\"\r\n 4. Copy the generate token\r\n   \r\n> **Note:** For security reason, the generated API Access Token won't be visible after you close the settings page. Be sure to copy the generated token otherwise you won't be able to get it later.\r\n  \r\n**How to authenticate on the API**  \r\n  \r\nTo authenticate on the API, send the generated token in the Authorization header using the Bearer scheme:  \r\n`Authorization: Bearer #YOUR_GENERATED_TOKEN_HERE#`\r\n"
  version: v3
servers: []
security: []
paths:
  /v3/partner-contact-certifications:
    post:
      tags:
        - PartnerContactCertifications
      summary: Give a certification to a partner team member
      description: Associate a certification to a partner team member
      requestBody:
        content:
          application/json-patch+json:
            schema:
              $ref: '#/components/schemas/PartnerContactCertificationCreateRequestDto'
          application/json:
            schema:
              $ref: '#/components/schemas/PartnerContactCertificationCreateRequestDto'
          text/json:
            schema:
              $ref: '#/components/schemas/PartnerContactCertificationCreateRequestDto'
          application/*+json:
            schema:
              $ref: '#/components/schemas/PartnerContactCertificationCreateRequestDto'
      responses:
        '200':
          description: Certifications given to the specified partner team member
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/PartnerContactCertificationDto'
      security:
        - oauth2:
            - TeamMemberCertification.Create
            - Api
components:
  schemas:
    PartnerContactCertificationCreateRequestDto:
      type: object
      properties:
        certificationId:
          type: integer
          description: The ID of the certification to give to the team member.
          format: int32
        partnerContactId:
          type: integer
          description: The ID of the contact in the partner team who get the certification.
          format: int32
        status:
          $ref: '#/components/schemas/UserPartnerCertificationStatus'
        acquisitionDate:
          type: string
          description: >-
            The date when teh partner contact get the certification. Only
            provide this date if the status is Active.
          format: date-time
          nullable: true
      additionalProperties: false
    PartnerContactCertificationDto:
      type: object
      properties:
        id:
          type: integer
          format: int32
        creationDate:
          type: string
          format: date-time
        acquisitionDate:
          type: string
          format: date-time
          nullable: true
        expirationDate:
          type: string
          format: date-time
          nullable: true
        status:
          $ref: '#/components/schemas/UserPartnerCertificationStatus'
        partnerContactId:
          type: integer
          format: int32
        certificationId:
          type: integer
          format: int32
      additionalProperties: false
    UserPartnerCertificationStatus:
      enum:
        - Unknown
        - InProgress
        - Active
        - Expired
        - Renewed
      type: string

````